#pragma once

#include "CoreMinimal.h"
#include "CompetenceAction.h"
#include "Templates/SubclassOf.h"
#include "AddComponentToPlayerAction.generated.h"

class UActorComponent;

UCLASS(Blueprintable, EditInlineNew)
class DBDCOMPETENCE_API UAddComponentToPlayerAction : public UCompetenceAction
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<UActorComponent> _componentClass;

public:
	UAddComponentToPlayerAction();
};

FORCEINLINE uint32 GetTypeHash(const UAddComponentToPlayerAction) { return 0; }
